<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div style="text-align:center">
<h2>Tutaj znajduje się treść strony.</h2>
<br /><br />
</div>
<div style="text-align:center">
Ta strona została odwiedzona 
<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function badIP($ip)
{
  $ip_table = array(
    0 => "127.0.0.1",
    1 => "10.0.0.1"
  );
  foreach($ip_table as $bannedIP){
    if($bannedIP == $ip)
      return true;
  }
  return false;
}

function getHits()
{
  if(($fp = @fopen("counter.txt", "r+")) === false)
    return false;
  $count = fgets($fp);
  if(!badIP($_SERVER['REMOTE_ADDR'])){
    $count = $count + 1;
    fseek($fp, 0);
    fputs($fp, $count);
  }
  fclose($fp);
  return $count;
}
echo(getHits());
?>
 razy od 18 kwietnia 2008 r.
</div>

</body>
</html>
